| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
IChronoStatSvc Class Reference

The IChronoStatSvc is the interface implemented by the ChronoStatService. More...

`#include <GaudiKernel/IChronoStatSvc.h>`

Inheritance diagram for IChronoStatSvc:
[legend]
Collaboration diagram for IChronoStatSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IChronoStatSvc, 6, 0)
| InterfaceID. More...
Public Member Functions inherited from extend_interfaces< IService, IChronoSvc, IStatSvc >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Protected Member Functions
virtual | ~IChronoStatSvc ()=default
| virtual desctructor More...

## Additional Inherited Members
Public Types inherited from extend_interfaces< IService, IChronoSvc, IStatSvc >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids...>::type
| take union of the ext_iids of all Interfaces... More...

## Detailed Description

The IChronoStatSvc is the interface implemented by the ChronoStatService.

This interface is used by any algorithm or services wanting to study its own performance and CPU consumption and some statistical computation

See also
  IChronoSvc
  IStatSvc

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u (inspired by Mauro VILLA's codes used within ARTE framework )

Date
  December 1, 1999
  2007-07-08

Definition at line 33 of file IChronoStatSvc.h.

## Constructor & Destructor Documentation

virtual IChronoStatSvc::~IChronoStatSvc | ( |  | ) |
| protected virtual default

virtual desctructor

## Member Function Documentation

IChronoStatSvc::DeclareInterfaceID | ( | IChronoStatSvc | ,
|  | 6 | ,
|  | 0 |
| ) |  |

InterfaceID.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IChronoStatSvc.h